<?php

define('APP_DIR', 'app');
define('DS', DIRECTORY_SEPARATOR);
define('ROOT', dirname(__FILE__, 1));
define('WEBROOT_DIR', 'webroot');
define('WWW_ROOT', ROOT . DS . APP_DIR . DS . WEBROOT_DIR . DS);

if (!defined('CAKE_CORE_INCLUDE_PATH')) {
    define('CAKE_CORE_INCLUDE_PATH', ROOT . DS . 'lib');
}

$appIndexPath = ROOT . DS . APP_DIR . DS . WEBROOT_DIR . DS . 'index.php';
if (!file_exists($appIndexPath)) {
    die("Error: Unable to locate CakePHP's index.php file at " . htmlspecialchars($appIndexPath));
}

require $appIndexPath;